/**
 * @author     Sebastian Koschmieder <sep@seplog.org>
 * @date       2021-01-21 16:29:18
 */

#include <stdint.h>

#ifdef __cplusplus
extern "C" {
#endif

#ifndef _UCTEST_UCTEST_DEVICE_RISCV_H_
#if !defined( __DOXYGEN__ )
#define _UCTEST_UCTEST_DEVICE_RISCV_H_
#endif

#define __flash
#define fprintf_P fprintf
#define vfprintf_P vfprintf

#define MAX_STACK ( 128 )
typedef intptr_t stack_t;

#define uctest_stackStart                \
    ( {                                  \
        extern const stack_t *stack_ptr; \
        ( ( stack_t * ) stack_ptr );     \
    } )

inline __attribute__( ( always_inline ) ) void uctest_stack_pushPtr( void *ptr ) {
    extern stack_t *stack_ptr;
    *stack_ptr = ( stack_t ) ptr;
    stack_ptr--;
}

inline stack_t *__attribute__( ( always_inline ) ) uctest_getStackPtr( void ) {
    extern stack_t *stack_ptr;
    return stack_ptr;
}

inline void __attribute__( ( always_inline ) ) uctest_setStackPtr( stack_t *ptr ) {
    extern stack_t *stack_ptr;
    stack_ptr = ptr;
}

#define uctest_context_save()

#define uctest_context_restore()

#endif /** _UCTEST_UCTEST_DEVICE_RISCV_H_ */

#ifdef __cplusplus
}
#endif
