/**
 * @ingroup    device
 * @{
 */
#include "../include/uCTest/uCTest.h"

#ifdef __cplusplus
extern "C" {
#endif

#ifndef _UCTEST_SYSTEM_H_
#if !defined( __DOXYGEN__ )
#define _UCTEST_SYSTEM_H_
#endif

/**
 * @brief Start a clock measurement.
 *
 * Function to start a clock measurement. For this it is typically to store the current clock ticks
 */
extern void uctest_clkMeasureStart( void );

/**
 * @brief Stop a clock measurement
 *
 * This stops a clock measurement and adds the current clock count to the clock variable.
 *
 * @param clk The clock variable.
 */
extern void uctest_clkMeasureStop( unsigned long *clk );

/**
 * @brief Initialize the hardware
 */
extern void uctest_system_init_hardware( void );

#endif /** _UCTEST_SYSTEM_H_ */

#ifdef __cplusplus
}
#endif
/** @} */
