#include <stdio.h>

#include "../include/uCTest/uCTest.h"

#ifdef __cplusplus
extern "C" {
#endif

#ifndef _UCTEST_MESSAGES_H_
#if !defined( __DOXYGEN__ )
#define _UCTEST_MESSAGES_H_
#endif

extern const __flash char uctest_eqFailMsg[];

extern const __flash char uctest_nearFailMsg[];

extern const __flash char uctest_simpleFailMsg[];

extern const __flash char uctest_deathFailMsg[];

extern void uctest_printRuntimeStats( int suites, int tests );

extern void uctest_printRuntimeStatsEnd( int suites, int tests, unsigned long cycles );

extern void uctest_printStartup( int suites, int tests );

extern void uctest_printGlobalSetup( void );

extern void uctest_printGlobalTeardown( void );

void uctest_printTestRegister( const __flash struct uctest_test * );

extern void uctest_printSuiteStats( const __flash char *suite, int tests );

extern void uctest_printSuiteStatsBegin( const __flash char *suite, int tests );

extern void uctest_printSuiteStatsEnd( const __flash char *suite, int tests, int failed,
                                       unsigned long cycles );

extern void uctest_printTest( const __flash char *mode, const __flash struct uctest_test *test );

extern void uctest_printTestBegin( const __flash struct uctest_test *test );

extern void uctest_printTestSuccess( const __flash struct uctest_test *test, unsigned long cycles );

extern void uctest_printAllTestsEnd( int testsSuccess, int testsFailure );

extern void uctest_printFailedTestsAtEnd( int tests );

extern void uctest_printTestFailure( const __flash struct uctest_test *test, unsigned long cycles );

extern void uctest_printFailureLocation( const char *file, int line );

extern void uctest_printUserMessage( const __flash char *fmt, va_list args );

#endif /** _UCTEST_MESSAGES_H_ */

#ifdef __cplusplus
}
#endif
